/* ICQBot functions
 *
 * (c) 2008, Lev Shisterov
 * This file is provided as is (no warranties).
 */

#if defined _icqbot_included
  #endinput
#endif
#define _icqbot_included

#if AMXX_VERSION_NUM >= 175
 #pragma reqlib icqbot
 #if !defined AMXMODX_NOAUTOLOAD
  #pragma loadlib icqbot
 #endif
#else
 #pragma library icqbot
#endif

/* ICQBot connection status */
enum {
    ICQBot_State_Offline		= 0,
	ICQBot_State_Disconnected	= 50,
	ICQBot_State_QueryingDcs	= 75,
	ICQBot_State_Connecting		= 100,
	ICQBot_State_Challenging	= 150,
	ICQBot_State_Validating		= 200,
	ICQBot_State_SecurId		= 210,
	ICQBot_State_SecurIdNextKey	= 211,
	ICQBot_State_Transferring	= 300,
	ICQBot_State_Negotiating	= 350,
	ICQBot_State_Starting		= 400,
	ICQBot_State_Online			= 500,
	ICQBot_State_WillShutdown	= 550,
	ICQBot_State_Shutdown		= 600,
	ICQBot_State_Paused			= 700
};

/************* Shared Natives Start ********************************/

/* Connect to ICQ service */
native start_icq_client();
/* Send administrative alert */
native send_icq_message(contact[], message[]);
/* Register "message received" event handler "Handler(from[], message[])" */
native register_icq_message_handler(const handler[]);
/* Get ICQ client status */
native get_icq_status();
/* Disconnect from ICQ service */
native stop_icq_client();

/************* Shared Natives End ********************************/
